=== debian/changelog ===
ros-indigo-schunk-sdh (0.6.12-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 15 Aug 2018 22:00:00 -0000

ros-indigo-schunk-sdh (0.6.11-0trusty) trusty; urgency=high

  * Merge pull request #204 <https://github.com/ipa320/schunk_modular_robotics/issues/204> from christian-rauch/pressure
    Publish tactile data as pressure
  * report pressure in Pascal (Pa)
  * publish tactile matrix in pressure units
  * configure DSA debug level and tactile sensitivity through ROS parameters
  * Merge pull request #202 <https://github.com/ipa320/schunk_modular_robotics/issues/202> from christian-rauch/fix_exceptions
    Revert "catch exceptions by const reference"
  * Revert "catch exceptions by const reference"
    This reverts commit 0da887264e5ccfbbf5b552f5c50e45d80fe0a01a.
  * Contributors: Christian Rauch, Felix Messmer

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-schunk-sdh (0.6.10-0trusty) trusty; urgency=high

  * Merge pull request #198 <https://github.com/ipa320/schunk_modular_robotics/issues/198> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #195 <https://github.com/ipa320/schunk_modular_robotics/issues/195> from christian-rauch/motor_power_switch
    Motor power switch
  * Merge pull request #191 <https://github.com/ipa320/schunk_modular_robotics/issues/191> from ipa-fxm/APACHE_license
    use license apache 2.0
  * skip check of alternative SDH device types
  * catch exceptions by const reference
  * provide messages for successfull service calls
  * disable / enable motor power
  * change maintainer
  * Merge pull request #192 <https://github.com/ipa320/schunk_modular_robotics/issues/192> from christian-rauch/disable_motors
    Services for disabling motors
  * rename 'disconnect' service to 'shutdown'
  * remove unused 'srvCallback_Recover'
  * 'disconnect' and 'emergency_stop' services return true when finished
  * close connection to DSA
  * deinitialise at stop and disconnect
  * services for stopping motors
  * Merge pull request #193 <https://github.com/ipa320/schunk_modular_robotics/issues/193> from christian-rauch/pub_temperature
    Publish temperatures for monitoring overheating
  * publish temperatures
  * enable C++11
  * use license apache 2.0
  * Contributors: Christian Rauch, Felix Messmer, ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-schunk-sdh (0.6.9-0trusty) trusty; urgency=high

  * properly link and install SDHLibrary
  * manually fix changelog
  * Merge branch 'indigo_dev' of https://github.com/ipa320/schunk_modular_robotics into indigo_dev
  * renamed diagnostics topic
  * Contributors: Mathias Lüdtke, ipa-fxm, ipa-nhg

 -- Mathias Luedtke <mdl@ipa.fhg.de>  Sun, 16 Jul 2017 22:00:00 -0000

ros-indigo-schunk-sdh (0.6.8-0trusty) trusty; urgency=high



 -- Mathias Luedtke <mdl@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-schunk-sdh (0.6.7-0trusty) trusty; urgency=high

  * do not use the autostart flag for the action sever and start it manually
    to get rid of the race condition warning
  * fix missing add_dependencies
  * sdh_only.cpp mostly roslint compatible
  * dsa_only roslint compatible
  * schunk_sdh/ros/src/sdh.cpp less roslint issues
  * Whitespace formatting (C++ files)
  * Fix whitespaces in header files (automatic)
  * Added roslint to CMakeLists and package
  * Format
  * Format according to roscpp style guide, inline with https://github.com/ipa320/setup/blob/master/coding_introduction/CodingIntroduction.md#ros-coding-styles
  * Contributors: Wolfgang Merkt, demo, ipa-fxm

 -- Mathias Luedtke <mdl@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-schunk-sdh (0.6.6-0trusty) trusty; urgency=high



 -- Mathias Luedtke <mdl@ipa.fhg.de>  Mon, 31 Aug 2015 22:00:00 -0000

ros-indigo-schunk-sdh (0.6.5-0trusty) trusty; urgency=high



 -- Mathias Luedtke <mdl@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-schunk-sdh (0.6.4-0trusty) trusty; urgency=high

  * boost revision
  * migration to package format 2
  * remove trailing whitespaces
  * remove obsolete autogenerated mainpage.dox files
  * sort dependencies
  * review dependencies
  * Contributors: ipa-fxm

 -- Mathias Luedtke <mdl@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-indigo-schunk-sdh (0.6.3-0trusty) trusty; urgency=high

  * fix topic names
  * replace brics_actuator
  * use new Trigger from std_srvs
  * cleanup/replace cob_srvs
  * adapt schunk_sdh to new namespaces
  * beautify CMakeLists
  * beautify CMakeLists
  * Contributors: ipa-fxm

 -- Mathias Luedtke <mdl@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-schunk-sdh (0.6.2-0trusty) trusty; urgency=high



 -- Mathias Luedtke <mdl@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-schunk-sdh (0.6.1-0trusty) trusty; urgency=high



 -- Mathias Luedtke <mdl@ipa.fhg.de>  Sun, 21 Sep 2014 22:00:00 -0000

ros-indigo-schunk-sdh (0.6.0-0trusty) trusty; urgency=high



 -- Mathias Luedtke <mdl@ipa.fhg.de>  Wed, 17 Sep 2014 22:00:00 -0000

ros-indigo-schunk-sdh (0.5.6-0trusty) trusty; urgency=high



 -- Mathias Luedtke <mdl@ipa.fhg.de>  Tue, 26 Aug 2014 22:00:00 -0000

ros-indigo-schunk-sdh (0.5.5-0trusty) trusty; urgency=high

  * enforce sdh operation mode on init
  * cleaning up
  * Merge pull request #81 <https://github.com/ipa320/schunk_modular_robotics/issues/81> from ipa320/hydro_release_candidate
    bring back changes from Hydro release candidate
  * Update package.xml
  * New maintainer
  * Contributors: Florian Weisshardt, Mathias Lüdtke, Nadia Hammoudeh García, ipa-fxm, ipa-nhg

 -- Mathias Luedtke <mdl@ipa.fhg.de>  Mon, 25 Aug 2014 22:00:00 -0000

ros-indigo-schunk-sdh (0.5.4-0trusty) trusty; urgency=high



 -- Mathias Luedtke <mdl@ipa.fhg.de>  Thu, 27 Mar 2014 23:00:00 -0000

ros-indigo-schunk-sdh (0.5.3-0trusty) trusty; urgency=high

  * Merge branch 'hydro_dev' into hydro_release_candidate
  * Update package.xml

